/*
 * $Id: SingleLineFormatter.java,v 1.2 2012/03/17 20:36:36 oboehm Exp $
 *
 * Copyright (c) 2012 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * (c)reated 17.03.2012 by oliver (ob@oasd.de)
 */

package patterntesting.agent.logging;

import java.text.*;
import java.util.Date;
import java.util.logging.*;

/**
 * We want a {@link Formatter} which does not log in two lines as the
 * SimpleFormatter but only in one line.
 * 
 * @author oliver (ob@aosd.de)
 * @since 1.2.10-YEARS (17.03.2012)
 */
public class SingleLineFormatter extends Formatter {
    
    private static final DateFormat dateFormat = new SimpleDateFormat("MMM dd HH:mm:ss");


    /* (non-Javadoc)
     * @see java.util.logging.Formatter#format(java.util.logging.LogRecord)
     */
    @Override
    public String format(final LogRecord record) {
        Date eventTime = new Date(record.getMillis());
        return dateFormat.format(eventTime) + " " + record.getLevel() + ": " + record.getMessage()
                + "\n";
    }

}
